Page MenuHomePhabricator

Use Jekyll to static generate performance.wikimedia.org
Closed, ResolvedPublic

Description

After talking to @Krinkle yesterday we decided to move the site to Jekyll so we can:

  • easily have a static version where we manually can commit changes like a changelog for performance changes
  • use npm scripts to mangle the site (uncss the bootstrap css etc).

Details

Related Gerrit Patches:
performance/docroot : masterRemove unused CSS from Bootstrap
performance/docroot : masterRemove unused CSS from Bootstrap
performance/docroot : masterUse Jekyll to generate performance.wikimedia.org

Event Timeline

Peter created this task.Jun 8 2017, 7:25 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2017, 7:25 AM
Krinkle renamed this task from Use Jekyll to static generate the site to Use Jekyll to static generate performance.wikimedia.org.Jun 14 2017, 3:20 PM
Krinkle lowered the priority of this task from High to Medium.Jun 14 2017, 7:32 PM

Change 359129 had a related patch set uploaded (by Phedenskog; owner: Phedenskog):
[performance/docroot@master] Use Jekyll to generate performance.wikimedia.org

https://gerrit.wikimedia.org/r/359129

Change 360311 had a related patch set uploaded (by Phedenskog; owner: Phedenskog):
[performance/docroot@master] Remove unused CSS from Bootstrap

https://gerrit.wikimedia.org/r/360311

Change 359129 merged by jenkins-bot:
[performance/docroot@master] Use Jekyll to generate performance.wikimedia.org

https://gerrit.wikimedia.org/r/359129

Change 361237 had a related patch set uploaded (by Phedenskog; owner: Phedenskog):
[performance/docroot@master] Remove unused CSS from Bootstrap

https://gerrit.wikimedia.org/r/361237

Change 360311 abandoned by Phedenskog:
Remove unused CSS from Bootstrap

Reason:
Use 361237 instead.

https://gerrit.wikimedia.org/r/360311

Change 361237 merged by jenkins-bot:
[performance/docroot@master] Remove unused CSS from Bootstrap

https://gerrit.wikimedia.org/r/361237

Krinkle closed this task as Resolved.Jun 28 2017, 8:12 PM